Skip to main content
All endpoints require a Bearer token. Results are scoped to the authenticated user’s tenant and hierarchy.

GET /api/events

List events.

Query parameters

Response


POST /api/events

Create an event.

Request body


GET /api/events/:id

Get an event with its registration and attendance records.

PUT /api/events/:id

Update an event.

DELETE /api/events/:id

Delete an event and its associated records.

Event categories

GET /api/events/categories

List all event categories for the tenant.

POST /api/events/categories


Registration

GET /api/events/:id/registration

Get the registration list for an event.

POST /api/events/:id/registration

Register one or more contacts for an event:

DELETE /api/events/:id/registration/:registrationId

Cancel a registration.

Attendance

GET /api/events/:id/attendance

Get the attendance list for an event.

POST /api/events/:id/attendance

Record attendance for an event:

Event activities

Event activities record what happened for specific individuals during an event (e.g. a salvation or baptism).

GET /api/events/:id/activities

List activities for an event.

POST /api/events/:id/activities